/*
 * Copyright (C) 2009 HB1 <http://www.h7.dion.ne.jp/~rasiel/zega.html>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef GM_LITEMAPS_H
#define GM_LITEMAPS_H

#include"maplist.h"

class GM_LiteMaps : public MapList {
public:
	GM_LiteMaps(const QString &path = "/mnt/card/gm_lite/imgs");
	QString searchMapFileName(long ns, long ew, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	QString pointMapFileName(int diffLat, int diffLong, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	void changeScale(const QString &scale);
	QString getClassName() {
		return "GM_LiteMaps";
	}

private:
	unsigned long _scale, _maxScale, _imageSize;
	QString _basePath;
	long _mapidX, _mapidY;
	long *_mapW;
};

#endif //GM_LITEMAPS_H
