/*
 * Copyright (C) 2009 HB1 <http://www.h7.dion.ne.jp/~rasiel/zega.html>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <qpe/qpeapplication.h>
#include <qtextcodec.h>
#include "zega.h"
#include "radian.h"
#include "maplist.h"

QPEApplication *_app;
QWidget *_zega;

int main(int argc, char *argv[]) {
	QPEApplication app(argc, argv);
	_app = &app;
	
	QTextCodec* codec = QTextCodec::codecForName("eucJP");
	app.setDefaultCodec(codec);
	
	Zega zega(0, "ZEGA");
	_zega = &zega;
	app.showMainWidget(&zega);

	return app.exec();
}
