/*
 * Copyright (C) 2009 HB1 <http://www.h7.dion.ne.jp/~rasiel/zega.html>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef ROUTE_H
#define ROUTE_H
#include<vector.h>
#include"coordinate.h"

class Route
{
public:
	Route();
	double getLength(Coordinate *aPoint, Coordinate *bPoint);
	void clear();
	void resetLength();
	int loadFile(QString routeFileName);
	bool setRemain(Coordinate coordinate);
	double getRemain();
	void addPoint(Coordinate coordinate);
	void deleteLastPoint();
	void reverse();
	
	vector<Coordinate> _route;
	double _routeLength;
	double _remainRouteLength;
	double _currentNearLength;
	int _nearRouteIndex;
	bool _remainNearNext;
	
};
#endif //ROUTE_H
