/*
 * Copyright (C) 2009 HB1 <http://www.h7.dion.ne.jp/~rasiel/zega.html>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include "help.h"

Help::Help(QWidget *parent) :
	QLabel(parent, NULL, 0) {
	QLabel::hide();
	setFrameStyle(QFrame::Box | QFrame::Plain);
	setFont(QFont("lcfont", 12));
	setMargin(2);
	setText(QString(tr(
		"إ ()\n"
		"\n"
		"       : Ͽޤ򥫡륭50%ư\n"
		"Shift+ : Ͽޤ򥫡륭100%ư\n"
		"  Fn+  : Ͽޤ򥫡륭1ԥư\n"
		"   ڡ    : ֤̤߰濴˰ư\n"
		"   1  9, 0   : Ͽޥåڤؤ\n"
		" g : GPS ON/OFF              c : GPS¬̺ɸΥ󥿥󥰤ON/OFF\n"
		" a : ֤߰롼ɲ  BS, Del : 롼Ƚ\n"
		" o : 롼Ȥȿž                h : GPS¬̵פɽON/OFF\n"
		" r : 롼ȤɽON/OFF          d : 롼ȽޤǤON/OFF\n"
		" l : 롼, եɹ    s : 롼¸\n"
		" f : ɽ                  D : ǥХåON/OFF\n"
		" z : ĤΥƷ׻            ? : إɽ"
			)));
	adjustSize();
}

void Help::show() {
	int x, y;
	QWidget *parent = parentWidget();

	x = (parent->width()-width())/2;
	y = (parent->height()-height())/2;
	setGeometry(x, y,
				width(), height());
	QLabel::show();
}

void Help::keyPressEvent(QKeyEvent * e) {
	hide();
}

void Help::mousePressEvent(QMouseEvent *e) {
	hide();
}
