/*
 * Copyright (C) 2009 HB1 <http://www.h7.dion.ne.jp/~rasiel/zega.html>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef MOBILEMAPNAVIMAPS_H
#define MOBILEMAPNAVIMAPS_H

#include"maplist.h"

class MobileMapNaviMaps : public MapList {
public:
	MobileMapNaviMaps(const QString &path = "/mnt/card/sd_map");
	QString searchMapFileName(long ns, long ew, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	QString pointMapFileName(int diffLat, int diffLong, Radian *radMapEW,
			Radian *radMapNS, Radian *radMapWidth, Radian *radMapHeight);
	void changeScale(const QString &scale);
	QString getClassName() {
		return "MobileMapNaviMaps";
	}

private:
	unsigned int _scale;
	QString _basePath;
	int _latid[4], _lonid[4];
	long _mapH[5], _mapW[5];
};

#endif //MOBILEMAPNAVIMAPS_H
