/*
 * Copyright (C) 2009 HB1 <http://www.h7.dion.ne.jp/~rasiel/zega.html>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef RADIAN_H
#define RADIAN_H

#include<qstring.h>
#include<qstringlist.h>

/*
 #define _DEBUG_PRINT
 */

class Radian {
public:
	Radian(short _a = 0, short _b = 0, short _c = 0, short _d = 0);
	long toLong();
	void setData(long data);
	void setMin(short _c, short _d = 0);
	short getMin();
	QString toString();
	QString toString2(bool multiplyMinus = false);
	QString toNS();
	QString toEW();
	bool parse(const QString &str);
	bool parse2(const QString &str);
	Radian& operator=(Radian value);

private:
	long _data;
};

void TokyoToWGS84(Radian * radNS, Radian * radEW);
void WGS84ToTokyo(Radian * radNS, Radian * radEW);

#endif //RADIAN_H
